html, body {
    width: 100%;
    height: 100%;
}

body {
    font-family: Arial, sans-serif;
    text-align: center;
    background: linear-gradient(-15deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
    background-size: 400% 400%;
    background-attachment: fixed;
    animation: gradient 15s ease infinite;
    padding: 0;
    margin: 0;
}

@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}

body#fav-body {
    width: 100%;
    height: 100%;
    font-family: Arial, sans-serif;
    text-align: center;
    /*background: linear-gradient(-15deg, #23a6d5, #23d5ab);*/
    background: linear-gradient(-15deg, #cec719, #23d5ab);
    /*background: black;*/
    background-size: 400% 400%;
    background-attachment: fixed;
    /*animation: gradient 15s ease infinite;*/
    padding: 0;
    margin: 0;
}

table {
    width: auto;
    height: auto;
    display: inline-block;

}


td {
    border: 1px solid #ddd;
    padding: 8px;
    text-align: left;
    background-color: #ddddddaa;

}

th {
    border: 1px solid #ddd;
    padding: 8px;
    background-color: #dddddd;
}


.station-link-btn:link, .station-link-btn:visited {
    background-color: #ddddddaa;
    color: black;
    padding: 10px 16px;
    margin: 5px 40%;
    text-align: center;
    text-decoration: none;
    display: block;
}

.station-link-btn:hover, .station-link-btn:active {
    background-color: #69696949;
}

.filter-btn-row {
    text-align: left;
    padding: 0;
}

.filter-btn-row li {
    display: inline-block;
    background-color: #ddddddaa;
    margin: 0 1px;
    height: 40px;
    vertical-align: middle;
    border: 2px solid #ddd;
}

.filter-btn-row li:first-child {
    width: 30px;
    border-left: none;
}

.filter-btn {
    border: none;
    padding: 10px 16px;
    font-size: 16px;
    background-color: transparent;
    cursor: pointer;
}

.filter-btn:hover {
    background-color: #69696949;
}

.real-time-delayed {
    color: red;
}

.real-time-not-delayed {
    color: green;
}

.header {
    width: auto;
    overflow: hidden;
    background-color: #ddddddaa;
    padding: 20px 10px;
    margin-bottom: 12px;
    border-bottom: 1px solid #dddddd;
}

.header a {
    float: left;
    color: black;
    text-align: center;
    padding: 12px;
    text-decoration: none;
    font-size: 18px;
    line-height: 20px;
    border-radius: 4px;
}

.header a.logo {
    font-size: 25px;
    font-weight: bold;
}

.header a.logo:hover {
    background-color: transparent;
}

.header a:hover {
    background-color: #ddddddaa;
    color: black;
}

.header-right {
    float: right;
}

.favourites-button {
    background-color: transparent; /* Blue background */
    border: none; /* Remove borders */
    color: gold; /* White text */
    padding: 12px 16px; /* Some padding */
    font-size: 28px; /* Set a font size */
    cursor: pointer; /* Mouse pointer on hover */
}

.delete-all-button {
    background-color: transparent; /* Blue background */
    border: none; /* Remove borders */
    color: darkred; /* White text */
    padding: 12px 16px; /* Some padding */
    font-size: 22px; /* Set a font size */
    cursor: pointer; /* Mouse pointer on hover */
}

#myInput {
    border-radius: 20px;
    overflow: hidden;
    width: 30%; /* Full-width */
    font-size: 16px; /* Increase font-size */
    padding: 12px 20px 12px 40px; /* Add some padding */
    border: 1px solid #ddd; /* Add a grey border */
    /*margin-top: 6px;*/
    margin-bottom: 12px; /* Add some space below the input */
}

#myUL {
    /* Remove default list styling */
    list-style-type: none;
    padding: 0;
    margin: 0;
}

#myUL li a {
    border: 1px solid gray; /* Add a border to all links */
    background-color: #ddddddaa;
    padding: 12px; /* Add some padding */
    text-decoration: none; /* Remove default text underline */
    font-size: 18px; /* Increase the font-size */
    color: black; /* Add a black text color */
    margin: 0px 40%;
    text-align: center;
}

#myUL li a:hover:not(.header) {
    background-color: #eee; /* Add a hover effect to all links, except for headers */
}



@media only screen and (max-width: 700px) {

    .station-link-btn:link, .station-link-btn:visited {
        background-color: #ddddddaa;
        color: black;
        padding: 10px 16px;
        margin: 5px 10%;
        text-align: center;
        text-decoration: none;
        display: block;
    }

    table {
        width: auto;
        height: auto;
        font-size: 15px;
        margin-left: 10px;
        margin-right: 10px;
        display: inline-block;

    }

    #myInput {
        width: 180px;
    }

    #myUL li a {
        font-size: 18px; /* Increase the font-size */
        margin: -1px 60px;
    }

}
